Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.viewController
Class AnnotationsViewControllerExecutor

    java.lang.Object
      org.apache.myfaces.orchestra.viewController.AbstractViewControllerExecutor
          org.apache.myfaces.orchestra.viewController.AnnotationsViewControllerExecutor

All Implemented Interfaces:
  ViewControllerExecutor

    public class AnnotationsViewControllerExecutor

extends AbstractViewControllerExecutor

Execute the various viewController events on the viewController by calling the corresponding annotated method.

Constructor Summary
`AnnotationsViewControllerExecutor(AnnotationInfoManager annotationInfoManager)`

Method Summary
`boolean` | `invokeInitView(String beanName, Object bean)`
`protected void` | `invokeMethod(Object bean, Method method)`
`boolean` | `invokePreProcess(String beanName, Object bean)`
`boolean` | `invokePreRenderView(String beanName, Object bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationsViewControllerExecutor

    public AnnotationsViewControllerExecutor(AnnotationInfoManager annotationInfoManager)

Method Detail

### invokeMethod

    protected void invokeMethod(Object bean,
                                Method method)

### invokeInitView

    public boolean invokeInitView(String beanName,
                                  Object bean)

  Specified by:
    `invokeInitView` in interface `ViewControllerExecutor`
  Overrides:
    `invokeInitView` in class `AbstractViewControllerExecutor`

### invokePreRenderView

    public boolean invokePreRenderView(String beanName,
                                       Object bean)

  Specified by:
    `invokePreRenderView` in interface `ViewControllerExecutor`
  Overrides:
    `invokePreRenderView` in class `AbstractViewControllerExecutor`

### invokePreProcess

    public boolean invokePreProcess(String beanName,
                                    Object bean)

  Specified by:
    `invokePreProcess` in interface `ViewControllerExecutor`
  Overrides:
    `invokePreProcess` in class `AbstractViewControllerExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.